
LPARAMETERS tcName,tcDescript,tcBitmap,tcType,tcProgram,tlCopyFile, tlMsg

* tcName		-	Builder descriptive name
* tcDescript	-	Description
* tcBitmap		-	Bitmap path and name
* tcType		-	Class (EDITBOX or TEXTBOX or ...)
* tcProgram		-	Program (location (path) and name) to execute (c:\xxx\MyBuilder.app)
* tlCopyFile	-	if .t., copy builder application file to the wizards directory
* tlMsg			-	Show a message
*------------------------------------------------------------

LOCAL jnNoOfParameters as integer

jnNoOfParameters = PARAMETERS()
IF jnNoOfParameters < 6
	WAIT WINDOW 'Requested number of parameters is Min = 6.'
	RETURN
ENDIF
*-------------------
IF EMPTY(tcName)
	tcName = ''
	return
ENDIF
IF EMPTY(tcDescript)
	tcDescript = ''
ENDIF
IF EMPTY(tcBitMap)
	tcBitMap = ''
ENDIF
IF EMPTY(tcType)
	tcType = ''
	return
ENDIF
IF EMPTY(tcProgram)
	tcProgram = ''
	tcProgram = GetFile('APP','','',1,'Select the builder')
	IF Empty(tcProgram)
		RETURN
	ENDIF 
ENDIF
*------------------------------------------------------------
jcFile = 'builder'
if !used(jcFile)
	sele 0
	use (home() +'wizards\builder')
endif

*--------------------------
* copy the Builder to the wizards directory
if tlCopyFile = .t.
	copy file (tcProgram) to (Home() +'wizards')
endif
*--------------------------
jcProgram = RFN(tcProgram)
Insert into builder(name,descript,bitmap,type,program) ;
	   values(tcName,tcDescript,tcBitMap,tcType,'wizards\'+ jcProgram)
		   
close data all
IF tlMsg = .t.
	wait window tcName + '/' + tcType + ', Builder has been installed.'
ENDIF 
RETURN

*==========================================================================
FUNCTION RS
* Return just the stem name from "filname"
PARAMETERS m.filname

LOCAL clocalfname, cdirsep
clocalfname = SYS(2027,m.filname)
cdirsep = '\'
IF RAT(m.cdirsep ,m.clocalfname) > 0
   m.clocalfname = SUBSTR(m.clocalfname,RAT(m.cdirsep,m.clocalfname)+1,255)
ENDIF
IF AT(':',m.clocalfname) > 0
   m.clocalfname = SUBSTR(m.clocalfname,AT(':',m.clocalfname)+1,255)
ENDIF
IF AT('.',m.clocalfname) > 0
   m.clocalfname = SUBSTR(m.clocalfname,1,AT('.',m.clocalfname)-1)
ENDIF
RETURN ALLTRIM(UPPER(m.clocalfname))


*==========================================================================
FUNCTION RFN

* RFN - Return just the filename 
*
PARAMETERS m.filname

LOCAL clocalfname, cdirsep

cdirsep = '\'
clocalfname = m.filname

clocalfname = SYS(2027,m.clocalfname )
IF RAT(m.cdirsep ,m.clocalfname) > 0
   m.clocalfname = SUBSTR(m.clocalfname,RAT(m.cdirsep,m.clocalfname)+1,255)
ENDIF
IF AT(':',m.clocalfname) > 0
   m.clocalfname = SUBSTR(m.clocalfname,AT(':',m.clocalfname)+1,255)
ENDIF
RETURN ALLTRIM(m.clocalfname)